#include <iostream>

#include "textfile.h"
#include "timeused.h"

#include "typedefs.h"
#include "choreoExist.h"


int main()
{
    program_time = 0 ;

   try{

     timeused timeMeter;

     scon.logfile("consoleOutput.txt");
     sout.logfile("report5.txt");

     // last body position is not important

     int numberOfBodies = 5;
     int nDiv = 1;
     Interval time = Interval(M_2PI/(double)numberOfBodies);
     std::cout << "input a file name with initial data of choregoraphy with 5 bodies [../private/choreo/data/5b_2.nbp]: ";
     std::string fileName;
     std::cin  >> fileName;
     if(fileName == "")
       fileName = "../private/choreo/data/5b_2.nbp";
     FloatVector x0 = loadData(fileName.c_str(), numberOfBodies);
     //FloatVector x0 = loadData(x, numberOfBodies, nDiv);

     double size = 5.e-10;

     int order1 = 15,
         order2 = 25,
         orderStep = 5,
         Xorder1 = 7,
         Xorder2 = 9,
         XorderStep =2;

     double step1 = 1./1024.,
            step2 = 1./256.,
            stepFactor = 2.,
            Xstep1 = 1./1024./8.,
            Xstep2 = 1./512.,
            XstepFactor = 4.;



     ProveChoreographyExistence(x0, size, numberOfBodies, nDiv, time,
                                order1, order2, orderStep,
                                step1,  step2,  stepFactor,
                                Xorder1, Xorder2, XorderStep,
                                Xstep1, Xstep2, XstepFactor);

     sout << "\n\n Time used : " << timeMeter << ".\n";
     return 0;
   }
   catch(std::exception &e)
   {
      sout << e.what();
      return 1;
   }
}
