#ifndef _TO_TEXT_H_
#define  _TO_TEXT_H_ 1

#include "typedefs.h"

std::string initialConditions( int iter, const IntervalVector &x0, const IntervalVector &X,
                               const IntervalVector &x0_e, const IntervalVector &X_e);

std::string saveInitialConditions( int iter, IntervalVector &x0, IntervalVector &X);


// It returns text with information about Matrix A
//  such as maximal and average value and diameter of its cooeficient
//
std::string toText(const char* matrixName, IntervalMatrix &A, int precision = 0, bool show = true);

std::string toText(const char* vectorName, IntervalVector &v, int prec = 0, bool show = true);

std::string toText(const char* vectorName, FloatVector &v, int prec = 0, bool show = true);

std::string toText(const char* intervalName, interval &v, int prec = 0, bool show = true);

std::string parametersToText(const char* text,   double step, int order);

std::string parametersToText(const char* text,    double step, int order, double X_step, int X_order);

#endif // _TO_TEXT_H_
