#ifndef _SAVE_TO_FILE_H_
#define _SAVE_TO_FILE_H_
#include "vectalg/imatrix.h"
#include "vectalg/ivector.h"
#include <fstream>
#include <iomanip>

using std::ofstream;
using std::ostream;


void saveInitialConditions(char name[], int iter, intervalVector &x0,
                 intervalVector &X, intervalVector &x0_e, intervalVector &X_e);

void saveInitialConditions(char * name, int iter, intervalVector &x0, intervalVector &X);

// For intervalMatrix A returns
//  max - absolute value of the biggest entry
//   average - average  of  entries value
//   maxDiam - maximal diameter of its coordinates
//  averageDiam - average diameter

void  matrixTest(intervalMatrix &A, double & max, double &average, double &maxDiam, double &averageDiam);

// It saves to file fileName information about Matrix
//  such as maximal and average value and diameter of its cooeficient
//
void saveMatrixInfo(char* fileName, char* matrixName, intervalMatrix &A);
inline void saveInfo(char* fileName, char* matrixName, intervalMatrix &A)
{ saveMatrixInfo(fileName, matrixName, A);}
void saveInfo(char* fileName, char* vectorName, intervalVector &v, int prec = 0);
void saveInfo(char* fileName, char* intervalName, Interval &v);
void saveParameters(char*fileName, char* text,    double step, int order, double X_step, int X_order);

// It saves to file 'fileName' information about done computation step and computation time
inline void saveInfo(ostream &pl, char* text, double time)
{
 pl <<"\n=========================================================\n"
       <<text
       <<"\n=========================================================\n "
       <<" computation time = " << time << std::endl;
}

void saveInfo(char*fileName, char* text, double time);


#endif //_SAVE_TO_FILE_H_
